fid= mopen('out.txt','r');            // Open out.txt
T  = mfscanf(fid,'%s %s %s');         // Read ``# T =''
T  = mfscanf(fid,'%f');               // Read value of T
Nx = mfscanf(fid,'%s %s %s');         // Read ``# Nx =''
Nx = mfscanf(fid,'%d');               // Read value of Nx
Nt = mfscanf(fid,'%s %s %s');         // Read ``# Nt =''
Nt = mfscanf(fid,'%d');               // Read value of Nt
s  = mfscanf(fid,'%s %s'); s=[];      // Read ``# Data''
v0 = mfscanf(Nt+1,fid,'%f'); v0=v0';  // Read the Nt+1 values of v0
v1 = mfscanf(Nt+1,fid,'%f'); v1=v1';  // Read the Nt+1 values of v1
y  = mfscanf((Nt+1)*(Nx+1),fid,'%f'); // Read the (Nt+1)*(Nx+1) values of y
mclose(fid);                          // Close out.txt

y = matrix(y,Nx+1,Nt+1); y=y'; // Reshape y as a matrix, line i is the solution at time i/Nt
x = 0:1/Nx:1; t = 0:T/Nt:T;    // Define the space and time discretisations
printf('time:\t%f\n',T);       // Display the control time
plot(t,[v0;v1]); sleep(2000); clf();               // plot controls and wait 2s
plot2d(x,y(1,:),rect=[0 0 1 10]); sleep(100);      // plot the initial state and wait 0.1s
for i=2:1:Nt,
	plot(x,y(i,:),rect=[0 0 1 10]); sleep(10); // plot the state at each time instants
end
plot(x,y($,:),rect=[0 0 1 10]);                    // plot the final state

